Die Hardwareversion einer virtuellen Maschine spiegelt die unterstützten virtuellen Hardwarefunktionen der virtuellen Maschine wider. Diese Funktionen entsprechen der physischen Hardware, die auf dem ESXi-Host verfügbar ist, auf dem Sie die virtuelle Maschine erstellen. Zu den virtuellen Hardwarefunktionen gehören das BIOS und EFI, die verfügbaren virtuellen PCI-Steckplätze, die maximale Anzahl an CPUs, der Maximalwert für die Arbeitsspeicherkonfiguration und weitere hardwaretypische Eigenschaften.

Wenn Sie eine virtuelle Maschine erstellen, können Sie die standardmäßige Hardwareversion, die dem Host entspricht, auf dem die virtuelle Maschine erstellt wird, oder eine vorherige Version akzeptieren. In den folgenden Situationen können Sie eine frühere Hardwareversion verwenden:

  • Zum Standardisieren von Tests und der Bereitstellung in Ihrer virtuellen Umgebung.

  • Wenn Sie die Funktionen der neueren Version nicht benötigen.

  • Um Kompatibilität mit älteren Hosts beizubehalten.

Virtuelle Maschinen mit früheren Hardwareversionen als Version 11 können auf ESXi-6.0-Hosts ausgeführt werden, verfügen aber nicht über alle Funktionen, die in der Hardwareversion 11 verfügbar sind. Beispielsweise können Sie in virtuellen Maschinen mit Hardwareversionen vor Version 11 weder 128 virtuelle Prozessoren noch 4080 GB Arbeitsspeicher verwenden.

Im vSphere Web Client und dem vSphere Client können virtuelle Maschinen nur auf die neueste Hardwareversion aktualisiert werden. Falls virtuelle Maschinen nicht kompatibel mit älteren ESX-/ESXi-Hosts bleiben müssen, können Sie sie auf ESXi 6.0-Hosts aktualisieren. In diesem Fall werden sie auf Version 11 aktualisiert.

  • Um die Kompatibilität virtueller Maschinen mit ESX/ESXi 3.5-Hosts beizubehalten, aktualisieren Sie die virtuelle Maschine auf einem ESX/ESXi 3.5-Host, wodurch die virtuelle Maschine auf Version 4 aktualisiert wird.

  • Um die Kompatibilität virtueller Maschinen mit ESX/ESXi 4-Hosts beizubehalten, aktualisieren Sie die virtuelle Maschine auf einem ESX/ESXi 4.x-Host, wodurch die virtuelle Maschine auf Version 7 aktualisiert wird.

  • Um die Kompatibilität virtueller Maschinen mit ESXi-5.0-Hosts zu bewahren, aktualisieren Sie die virtuelle Maschine auf einem ESX-/ESXi-5.0-Host, wodurch die virtuelle Maschine auf Version 8 aktualisiert wird.

  • Um die Kompatibilität virtueller Maschinen mit ESXi-5.1-Hosts zu bewahren, aktualisieren Sie die virtuelle Maschine auf einem ESX-/ESXi-5.1-Host, wodurch die virtuelle Maschine auf Version 9 aktualisiert wird.

  • Um die Kompatibilität virtueller Maschinen mit ESXi-5.5-Hosts zu bewahren, aktualisieren Sie die virtuelle Maschine auf einem ESX-/ESXi-5.5-Host, wodurch die virtuelle Maschine auf Version 10 aktualisiert wird.

Eine virtuelle Maschine kann in den folgenden Fällen eine frühere Hardwareversion haben als der Host, auf dem sie ausgeführt wird:

  • Sie können eine auf einem ESX/ESXi 4.x-Host (oder früher) erstellte virtuelle Maschine auf einen ESXi 5.0-Host migrieren.

  • Sie erstellen eine virtuelle Maschine auf einem ESXi 5.0-Host, indem Sie eine vorhandene virtuelle Festplatte verwenden, die auf einem ESX/ESXi 4.x-Host (oder früher) erstellt wurde.

  • Sie fügen eine auf einem ESX/ESXi 4.x-Host (oder früher) erstellte virtuelle Festplatte zu einer virtuellen Maschine hinzu, die auf einem ESXi 5.0-Host erstellt wurde.

Sie können unterschiedliche Versionen virtueller Maschinen auf einem Host erstellen, bearbeiten und ausführen, sofern der Host diese Versionen unterstützt. Manchmal sind die Aktionen virtueller Maschinen auf einem Host begrenzt oder die virtuelle Maschine hat keinen Zugriff auf den Host.

Tabelle 1. ESXi-Hosts und kompatible Hardwareversionen der virtuellen Maschine

Version 11

Version 10

Version 9

Version 8

Version 7

Version 4

Kompatibel mit vCenter Server-Version

ESXi 6.0

Erstellen, Bearbeiten, Ausführen

Erstellen, Bearbeiten, Ausführen

Erstellen, Bearbeiten, Ausführen

Erstellen, Bearbeiten, Ausführen

Erstellen, Bearbeiten, Ausführen

Erstellen, Bearbeiten, Ausführen

vCenter Server 6.0

ESXi 5.5

Nicht unterstützt

Erstellen, Bearbeiten, Ausführen

Erstellen, Bearbeiten, Ausführen

Erstellen, Bearbeiten, Ausführen

Erstellen, Bearbeiten, Ausführen

Erstellen, Bearbeiten, Ausführen

vCenter Server 5.5 und höher

ESXi 5.1

Nicht unterstützt

Nicht unterstützt

Erstellen, Bearbeiten, Ausführen

Erstellen, Bearbeiten, Ausführen

Erstellen, Bearbeiten, Ausführen

Erstellen, Bearbeiten, Ausführen

vCenter Server 5.1 und höher

ESXi 5.0

Nicht unterstützt

Nicht unterstützt

Nicht unterstützt

Erstellen, Bearbeiten, Ausführen

Erstellen, Bearbeiten, Ausführen

Erstellen, Bearbeiten, Ausführen

vCenter Server 5.0 und höher

ESX/ESXi 4.x

Nicht unterstützt

Nicht unterstützt

Nicht unterstützt

Nicht unterstützt

Erstellen, Bearbeiten, Ausführen

Erstellen, Bearbeiten, Ausführen

vCenter Server 4.x und höher

ESX/ESXi 3.x

Nicht unterstützt

Nicht unterstützt

Nicht unterstützt

Nicht unterstützt

Nicht unterstützt

Erstellen, Bearbeiten, Ausführen

vCenter Server 3.5 und höher

Virtuelle Maschinen vor Hardwareversion 4 werden auf ESXi-6.0-Hosts nicht unterstützt. Zur vollständigen Nutzung dieser virtuellen Maschinen müssen Sie die virtuelle Hardware aktualisieren.

Anmerkung:

Die Funktionen in VM-Hardwareversionen 9, 10 und 11 gehen nicht über Hardwareversion 8 und früher hinaus, wenn sie über den vSphere Client mit einem ESXi-Host oder einem vCenter Server-System verbunden sind.